Home Download Buy Blog Forum Support

Python 2.6 is ripe

Re: Python 2.6 is ripe

Postby oats on Thu Mar 25, 2010 2:30 pm

curious... don't know much about python embedded... is this a lightweight version? what problem do you have with regular python?
oats
 
Posts: 101
Joined: Mon Nov 09, 2009 4:39 pm

Re: Python 2.6 is ripe

Postby guillermooo on Thu Mar 25, 2010 2:42 pm

Sublime Text comes with its own embedded Python interpreter to expose the editor's API (plugins). The current version is 2.5. Your system's Python version might be higher, but it's a different thing. As far as Sublime Text is concerned, your system's Python is only used in the build files to execute the current view's code, but not to script Sublime Text itself. Hence the request to upgrade Sublime Text's own Python.

Hope it helps!
guillermooo
 
Posts: 728
Joined: Thu Jul 23, 2009 9:06 am

Re: Python 2.6 is ripe

Postby gpfsmurf on Thu Apr 08, 2010 9:35 pm

sublimator wrote:Also, Python 2.6 C extensions now link to different incompatible versions of the Visual C++ runtime.

That... doesn't sound like a good thing? Or do you mean that the newer C extensions are not compatible with 2.5?
gpfsmurf
 
Posts: 211
Joined: Mon Jun 23, 2008 6:31 pm


Return to Ideas and Feature Requests

Who is online

Users browsing this forum: No registered users and 4 guests